You are not logged in.

Dear visitor, welcome to krpano.com Forum. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

1

Wednesday, February 5th 2020, 6:44pm

pp_blur.js problem

when I use pp_blur.js in my code


I will see Krpano license upgrade required !



I have now DEMO VERSION




when I delete pp_blur.js version is fine



after use update tool still writing



INFO: Registered to: xxxxxx (old license)



Can anyone advise me how to fix the problem


Thanks













Tuur

Sage

Posts: 3,267

Location: Netherlands

Occupation: Krpano custom coding / Virtual Tours / Photography / Musician / Recording engineer

  • Send private message

2

Wednesday, February 5th 2020, 6:49pm

Hi,

I think you need this:
https://krpano.com/buy/upgrade/

Hope it helps,
Tuur *thumbsup*
http://www.virtualtuur.com
Skype:studiotuur

3

Wednesday, February 5th 2020, 8:37pm

pp_blur.js problem

My license is fine, i was buying an upgrade a month ago



The problem is
I have been generating a panorama in which I have tried it long ago with an old license


Do it on every old panorama where I put it pp_blur.js,pp_light.js,pp_sharpen.js (when I put for example snow.js everything works)

In the old panoramas generated by the version 1.19pr-16

This post has been edited 2 times, last edit by "krtkozv" (Feb 5th 2020, 9:16pm)


4

Wednesday, February 5th 2020, 9:16pm

Hi,

just update the krpano viewer files of the 'old panoramas'.

Either by replacing the the files manually (e.g. the krpano.js or the tour.js depending how it is named in the actual example) or use the Update Tool for automatically updating/replacing these files.

After updating clear the browser cache to make sure that the new files get loaded.

Best regards,
Klaus

5

Wednesday, February 5th 2020, 9:23pm

pp_blur.js problem

Hi Klaus


I updated to version 1.20.4
I renamed it for example tourA.js


Do it on every old panorama where I put it pp_blur.js,pp_light.js,pp_sharpen.js (when I put for example snow.js everything works)



Best regards

Peter

6

Wednesday, February 5th 2020, 9:35pm

pp_blur.js problem

I did a test
I registered an old license.
Generated panorama and added pp_blur.js V1.19pr16
Result problem




I registered an new license.
Generated panorama and added pp_blur.js V1.20.4
Result OK


Someone can advise me


if only a new upgrade ?

7

Wednesday, February 5th 2020, 9:43pm

The post processing plugins require the new version and the new license.

8

Thursday, February 6th 2020, 7:00am

pp_blur.js problem

Hi Klaus


I have the latest version downloaded.

I bought a new license

but
Is there any way to apply it to the panoramas generated by the old license?

Thanks

9

Thursday, February 6th 2020, 7:10am

pp_blur.js problem

It works for me
I did this in the panoramas generated by the old license
I replaced the tour.js file with the file generated from the new license